Package javassist.bytecode

# Class BadBytecode

java.lang.Object
java.lang.Throwable
java.lang.Exception
javassist.bytecode.BadBytecode

All Implemented Interfaces:
  `Serializable`

public class BadBytecode extends Exception
Signals that a bad bytecode sequence has been found.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`BadBytecode(int opcode)`
`BadBytecode(String msg)`
`BadBytecode(String msg, Throwable cause)`
`BadBytecode(MethodInfo minfo, Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BadBytecode

public BadBytecode(int opcode)

### BadBytecode

public BadBytecode(String msg)

### BadBytecode

public BadBytecode(String msg, Throwable cause)

### BadBytecode

public BadBytecode(MethodInfo minfo, Throwable cause)